<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'SubjectDetail' }) %>
<body>

    <%- include('partials/navbar.ejs') %>

    <main>
        <h1>Subject detail <%= subject.subjectid %> </h1>

        <form method="POST" name="modifySubject" action="/editSubject/editSubject?subjectId=<%= subject.subjectid %>">
            <label for="subjectid">Subject Id: </label>
            <input id="subjectid" type="text" name="subjectid" placeholder="Subject Id" value=<%= subject.subjectid %> required>
            <br>
            
            <label for="subjectname">Subject Name: </label>
            <input id="subjectname" type="text" name="subjectname" placeholder="Subject Name" value=<%= subject.subjectname %> required>

            <label for="grade">Which Grade: </label>
            <input id="grade" type="number" name="grade" placeholder="Which Grade" min="1" max="6" value=<%= subject.grade %> required>
            <br>

            <label for="course">Number Of Courses: </label>
            <input id="course" type="number" name="course" placeholder="Number Of Courses" min="1" max="14" value=<%= subject.course %> required>
            <br>

            <label for="seminar">Number Of Seminars: </label>
            <input id="seminar" type="number" name="seminar" placeholder="Number Of Seminars" min="1" max="14" value=<%= subject.seminar %> required>
            <br>

            <label for="labor">Number Of Labors: </label>
            <input id="labor" type="number" name="labor" placeholder="Number Of Labors" min="1" max="14" value=<%= subject.labor %> required>
            <br>

            <% if (payload.userRole === 1) { %>
                <label for="teacherUsername">Owner Of the Subject:</label>
                <select name="teacherUsername" id="teacherUsername">
                    <% teachers.forEach((teacher) => { %>
                        <% if (teacher.username === subject.teacherUsername) { %>
                            <option selected="selected" value="<%= teacher.username %>"><%= teacher.username %></option>
                        <% } else { %>
                            <option value="<%= teacher.username %>"><%= teacher.username %></option>
                        <% } %>
                    <% }) %>
                </select>
                <br>
            <% } else { %>
                <input id="teacherUsername" type="hidden" name="teacherUsername" value="<%= subject.teacherUsername %>">
            <% } %>
            
            <div class="row">
                <div class="col-md-1">
                    <input class="btn btn-warning" id="idSubmitButton" name="idSubmitButton" type="submit" value="Modify">
                </div>
                <div class="col-md-1">
                    <button type="button" class="btn btn-danger" data-bs-toggle="modal" data-bs-target="#exampleModal">
                        Delete
                    </button>
                </div>
            </div>
        </form>
        <br>


        <!-- Modal START -->
        <div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title" id="exampleModalLabel">Are you sure you want to DELETE?</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <p>This subject, and its pdfs will be deleted immediately. You can't undo this action.</p>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                        <a href="/editSubject/deleteSubject?subjectId=<%= subject.subjectid %>">
                            <button class="btn btn-danger">Delete</button>
                        </a>
                    </div>
                </div>
            </div>
        </div>
        <!-- Modal END -->
        
    </main>
</body>
</html>